diff --git a/game/client/src/main/java/net/minecraft/client/render/WorldRenderer.java b/game/client/src/main/java/net/minecraft/client/render/WorldRenderer.java
index b9cacd461..9765a92d1 100644
--- a/game/client/src/main/java/net/minecraft/client/render/WorldRenderer.java
+++ b/game/client/src/main/java/net/minecraft/client/render/WorldRenderer.java
@@ -453,519 +427,468 @@ public class WorldRenderer
         return matrix;
     }
 
-    private void renderHand(float partialTick)
-    {
+    private void renderHand(float partialTick) {
         glMatrixMode(GL_PROJECTION);
         glLoadIdentity();
         float fov = getFOVModifier(partialTick, false);
-        if(zooming){
+        if (this.zooming) {
             fov = getZoomedFOV(fov, partialTick);
         } else {
-            zoomProgress = 0;
+            this.zoomProgress = 0;
         }
         // Fix hand being rendered inside of blocks / behind rain
         glTranslatef(0.0f, 0.0f, -1.0f);
         glScalef(1.0f, 1.0f, 0.1f);
-        
-        GLU.gluPerspective(fov, (float)mc.gameWindow.getWidthPixels() / (float)mc.gameWindow.getHeightPixels(), 0.05F, farPlaneDistance * 2.0F);
+
+        GLU.gluPerspective(fov, (float) this.mc.gameWindow.getWidthPixels() / (float) this.mc.gameWindow.getHeightPixels(), 0.05F, this.farPlaneDistance * 2.0F);
         glMatrixMode(GL_MODELVIEW);
         glLoadIdentity();
 
         glPushMatrix();
         hurtCameraEffect(partialTick);
-        if(mc.gameSettings.viewBobbing.value)
-        {
+        if (this.mc.gameSettings.viewBobbing.value) {
             setupViewBobbing(partialTick, true);
         }
-        if(mc.gameSettings.thirdPersonView.value == 0 && !(mc.currentScreen instanceof ScreenPhotoMode) && !(!(mc.activeCamera instanceof EntityCamera) || ((EntityCamera) mc.activeCamera).mob.isPlayerSleeping()) && mc.gameSettings.immersiveMode.drawHand())
-        {
-            lightmapHelper.enableLightmapRendering();
-            if(!zooming) itemRenderer.renderItemInFirstPerson(partialTick);
-            lightmapHelper.disableLightmapRendering();
+        if (this.mc.gameSettings.thirdPersonView.value == 0 && !(this.mc.currentScreen instanceof ScreenPhotoMode) && !(!(this.mc.activeCamera instanceof EntityCamera) || ((EntityCamera) this.mc.activeCamera).mob.isPlayerSleeping()) && this.mc.gameSettings.immersiveMode.drawHand()) {
+            this.lightmapHelper.enableLightmapRendering();
+            if (!this.zooming) this.itemRenderer.renderItemInFirstPerson(partialTick);
+            this.lightmapHelper.disableLightmapRendering();
         }
         glPopMatrix();
-        
+
         Debug.change("post");
-        mc.renderer.endRenderWorld(partialTick);
-        
-        if(mc.gameSettings.thirdPersonView.value == 0 && !(!(mc.activeCamera instanceof EntityCamera) || ((EntityCamera) mc.activeCamera).mob.isPlayerSleeping()))
-        {
-            itemRenderer.renderOverlays(partialTick);
+        this.mc.renderer.endRenderWorld(partialTick);
+
+        if (this.mc.gameSettings.thirdPersonView.value == 0 && !(!(this.mc.activeCamera instanceof EntityCamera) || ((EntityCamera) this.mc.activeCamera).mob.isPlayerSleeping())) {
+            this.itemRenderer.renderOverlays(partialTick);
             hurtCameraEffect(partialTick);
         }
-        if(mc.gameSettings.viewBobbing.value)
-        {
+        if (this.mc.gameSettings.viewBobbing.value) {
             setupViewBobbing(partialTick, false);
         }
     }
-    private float getZoomedFOV(float currentFov, float partialTick){
+
+    private float getZoomedFOV(float currentFov, float partialTick) {
         currentFov *= 0.45f;
-        float prevZoomProgress = zoomProgress;
-        zoomProgress -= Mouse.getDWheel()/4f;
-        zoomProgress = MathHelper.clamp(zoomProgress, -7.5f, 7.5f);
+        float prevZoomProgress = this.zoomProgress;
+        this.zoomProgress -= Mouse.getDWheel() / 4f;
+        this.zoomProgress = MathHelper.clamp(this.zoomProgress, -7.5f, 7.5f);
         final float maxFOV = 160f;
         final float minFOV = 5f;
-        float _zoom = prevZoomProgress + (zoomProgress - prevZoomProgress) * partialTick;
-        if (zoomProgress > 0){
+        float _zoom = prevZoomProgress + (this.zoomProgress - prevZoomProgress) * partialTick;
+        if (this.zoomProgress > 0) {
             return currentFov + 2 * (maxFOV - currentFov) * (logisticFunc(_zoom) - 0.5f);
         }
         return minFOV + 2 * (currentFov - minFOV) * logisticFunc(_zoom);
     }
-    
-    
-    private float logisticFunc(float val){
+
+
+    private float logisticFunc(float val) {
         final float L = 1;
         final float k = 1.1f;
         final float xo = 0f;
-        return (float) ((L)/(1 + Math.pow(Math.E, -k * (val - xo))));
+        return (float) ((L) / (1 + Math.pow(Math.E, -k * (val - xo))));
     }
 
-    public void updateCameraAndRender(float partialTick)
-    {
-    	lightmapHelper.update(partialTick);
-        if(mc.inGameHasFocus)
-        {
-			if(Mouse.isGrabbed()) {
-				float sensitivity = mc.gameSettings.mouseSensitivity.value * 0.6F + 0.2F;
-				sensitivity = sensitivity * sensitivity * sensitivity * 8.0f;
-				if(zooming) sensitivity *= 0.25f;
-				
-				float deltaX = (float) mc.mouseInput.deltaX * sensitivity;
-				float deltaY = (float) mc.mouseInput.deltaY * sensitivity;
+    public void updateCameraAndRender(float partialTick) {
+        this.lightmapHelper.update(partialTick);
+        if (this.mc.inGameHasFocus) {
+            if (Mouse.isGrabbed()) {
+                float sensitivity = this.mc.gameSettings.mouseSensitivity.value * 0.6F + 0.2F;
+                sensitivity = sensitivity * sensitivity * sensitivity * 8.0f;
+                if (this.zooming) sensitivity *= 0.25f;
+
+                float deltaX = (float) this.mc.mouseInput.deltaX * sensitivity;
+                float deltaY = (float) this.mc.mouseInput.deltaY * sensitivity;
 
 //                System.out.printf("%s %s\n", deltaX, deltaY);
 
-				int l = 1;
-				if(mc.gameSettings.invertMouse.value) {
-					l = -1;
-				}
-				if(mc.gameSettings.smoothCamera.value) {
-					deltaX = mouseFilterXAxis.getSmoothedDelta(deltaX, 0.05F * sensitivity);
-					deltaY = mouseFilterYAxis.getSmoothedDelta(deltaY, 0.05F * sensitivity);
-				} else {
-                    mouseFilterXAxis.reset();
-                    mouseFilterYAxis.reset();
+                int l = 1;
+                if (this.mc.gameSettings.invertMouse.value) {
+                    l = -1;
                 }
-				mc.thePlayer.interpolateTurn(deltaX, deltaY * (float) l);
+                if (this.mc.gameSettings.smoothCamera.value) {
+                    deltaX = this.mouseFilterXAxis.getSmoothedDelta(deltaX, 0.05F * sensitivity);
+                    deltaY = this.mouseFilterYAxis.getSmoothedDelta(deltaY, 0.05F * sensitivity);
+                } else {
+                    this.mouseFilterXAxis.reset();
+                    this.mouseFilterYAxis.reset();
+                }
+                this.mc.thePlayer.interpolateTurn(deltaX, deltaY * (float) l);
             }
-            if (mc.controllerInput != null) {
-                double speed = Time.delta * 2000 * (mc.gameSettings.controllerSensitivity.value + 0.5f);
-                if(zooming) speed *= 0.25f;
+            if (this.mc.controllerInput != null) {
+                double speed = Time.delta * 2000 * (this.mc.gameSettings.controllerSensitivity.value + 0.5f);
+                if (this.zooming) speed *= 0.25f;
 
-                double x = mc.controllerInput.joyRight.getX() * speed;
-                double y = -mc.controllerInput.joyRight.getY() * speed;
+                double x = this.mc.controllerInput.joyRight.getX() * speed;
+                double y = -this.mc.controllerInput.joyRight.getY() * speed;
 
-                mc.thePlayer.interpolateTurn((float)x, (float)y);
+                this.mc.thePlayer.interpolateTurn((float) x, (float) y);
             }
-            if(!mc.gameSettings.showFrameTimes.value){
-            	// Arrow key turning
-            	// !!!!! Needs to happen somewhere that isnt updated only 20 times per second
-                PlayerInput playerInput = mc.thePlayer.input;
-                
+            if (!this.mc.gameSettings.showFrameTimes.value) {
+                // Arrow key turning
+                // !!!!! Needs to happen somewhere that isnt updated only 20 times per second
+                PlayerInput playerInput = this.mc.thePlayer.input;
+
                 float x = 0.0f;
                 float y = 0.0f;
-                
-                playerInput.pressedLookUp = mc.gameSettings.keyLookUp.isPressed();
-                playerInput.pressedLookDown = mc.gameSettings.keyLookDown.isPressed();
-                playerInput.pressedLookLeft = mc.gameSettings.keyLookLeft.isPressed();
-                playerInput.pressedLookRight = mc.gameSettings.keyLookRight.isPressed();
-                
-                if(playerInput.pressedLookUp) y++;
-                if(playerInput.pressedLookDown) y--;
-                
-                if(playerInput.pressedLookLeft) x--;
-                if(playerInput.pressedLookRight) x++;
-                
-                float sensitivity = (float) (Time.delta * 1000 * (mc.gameSettings.mouseSensitivity.value + 0.5f));
-                if(mc.thePlayer.isSneaking()) sensitivity *= 0.5f;
-				if(zooming) sensitivity *= 0.25f;
-                
+
+                playerInput.pressedLookUp = this.mc.gameSettings.keyLookUp.isPressed();
+                playerInput.pressedLookDown = this.mc.gameSettings.keyLookDown.isPressed();
+                playerInput.pressedLookLeft = this.mc.gameSettings.keyLookLeft.isPressed();
+                playerInput.pressedLookRight = this.mc.gameSettings.keyLookRight.isPressed();
+
+                if (playerInput.pressedLookUp) y++;
+                if (playerInput.pressedLookDown) y--;
+
+                if (playerInput.pressedLookLeft) x--;
+                if (playerInput.pressedLookRight) x++;
+
+                float sensitivity = (float) (Time.delta * 1000 * (this.mc.gameSettings.mouseSensitivity.value + 0.5f));
+                if (this.mc.thePlayer.isSneaking()) sensitivity *= 0.5f;
+                if (this.zooming) sensitivity *= 0.25f;
+
                 x *= sensitivity;
                 y *= sensitivity;
-                
-                mc.thePlayer.interpolateTurn(x, y);
+
+                this.mc.thePlayer.interpolateTurn(x, y);
             }
         }
-        if(mc.skipRenderWorld)
-        {
+        if (this.mc.skipRenderWorld) {
             return;
         }
-        int width = mc.resolution.getScaledWidthScreenCoords();
-        int height = mc.resolution.getScaledHeightScreenCoords();
-        int mouseX = (Mouse.getX() * width) / mc.resolution.getWidthScreenCoords();
-        int mouseY = height - (Mouse.getY() * height) / mc.resolution.getHeightScreenCoords() - 1;
+        int width = this.mc.resolution.getScaledWidthScreenCoords();
+        int height = this.mc.resolution.getScaledHeightScreenCoords();
+        int mouseX = (Mouse.getX() * width) / this.mc.resolution.getWidthScreenCoords();
+        int mouseY = height - (Mouse.getY() * height) / this.mc.resolution.getHeightScreenCoords() - 1;
         int c = 200;
-        if(mc.gameSettings.enableVsync.value) // VSync
+        if (this.mc.gameSettings.enableVsync.value) // VSync
         {
 //        	c = mc.gameWindow.getFrequency(); // Cap fps when minimized
             c = 999;
         } else {
-            c = mc.gameSettings.customFpsLimit.value;
+            c = this.mc.gameSettings.customFpsLimit.value;
         }
         if (c <= 0) c = 1;
-        glViewport(0, 0, mc.gameWindow.getWidthPixels(), mc.gameWindow.getHeightPixels());
-        if(mc.currentWorld != null)
-        {
+        glViewport(0, 0, this.mc.gameWindow.getWidthPixels(), this.mc.gameWindow.getHeightPixels());
+        if (this.mc.currentWorld != null) {
             Debug.change("world");
-            if(!mc.gameSettings.enableVsync.value && mc.gameSettings.customFpsLimit.value == 0) // Max FPS
+            if (!this.mc.gameSettings.enableVsync.value && this.mc.gameSettings.customFpsLimit.value == 0) // Max FPS
             {
                 renderWorld(partialTick, 0);
-            }
-            else
-            {
-                renderWorld(partialTick, systemTime + (nsPerSecond / c));
+            } else {
+                renderWorld(partialTick, this.systemTime + (nsPerSecond / c));
             }
             Debug.change("misc");
-            if(mc.gameSettings.enableVsync.value || mc.gameSettings.customFpsLimit.value > 0) // Power saver
+            if (this.mc.gameSettings.enableVsync.value || this.mc.gameSettings.customFpsLimit.value > 0) // Power saver
             {
                 Debug.change("sleep");
-                long timeToSleep = ((systemTime + (nsPerSecond / c)) - System.nanoTime());
+                long timeToSleep = ((this.systemTime + (nsPerSecond / c)) - System.nanoTime());
                 long millis = timeToSleep / 1_000_000L;
                 int nanos = (int) (timeToSleep - (millis * 1_000_000L));
-                if(millis > 0L && millis < 500L)
-                {
-                    try
-                    {
+                if (millis > 0L && millis < 500L) {
+                    try {
                         Thread.sleep(millis, nanos);
-                    }
-                    catch(InterruptedException e)
-                    {
+                    } catch (InterruptedException e) {
                         LOGGER.error("", e);
                     }
                 }
                 Debug.change("misc");
             }
-            systemTime = System.nanoTime();
-            
+            this.systemTime = System.nanoTime();
+
             Debug.change("hud");
-            mc.hudIngame.renderGameOverlay(partialTick, mc.currentScreen != null, mouseX, mouseY);
+            this.mc.hudIngame.renderGameOverlay(partialTick, this.mc.currentScreen != null, mouseX, mouseY);
             Debug.change("misc");
-        } else
-        {
+        } else {
             glMatrixMode(GL_PROJECTION);
             glLoadIdentity();
             glMatrixMode(GL_MODELVIEW);
             glLoadIdentity();
             setupScaledResolution();
-            if(mc.gameSettings.enableVsync.value || mc.gameSettings.customFpsLimit.value > 0)
-            {
+            if (this.mc.gameSettings.enableVsync.value || this.mc.gameSettings.customFpsLimit.value > 0) {
                 Debug.change("sleep");
-                long l2 = ((systemTime + (long)(1_000_000_000L / c)) - System.nanoTime()) / 1_000_000L;
-                if(l2 < 0L)
-                {
+                long l2 = ((this.systemTime + (1_000_000_000L / c)) - System.nanoTime()) / 1_000_000L;
+                if (l2 < 0L) {
                     l2 += 10L;
                 }
-                if(l2 > 0L && l2 < 500L)
-                {
-                    try
-                    {
+                if (l2 > 0L && l2 < 500L) {
+                    try {
                         Thread.sleep(l2);
-                    }
-                    catch(InterruptedException e)
-                    {
+                    } catch (InterruptedException e) {
                         LOGGER.error("", e);
                     }
                 }
                 Debug.change("misc");
             }
-            systemTime = System.nanoTime();
+            this.systemTime = System.nanoTime();
         }
 
         // Render toasts
-        mc.guiToasts.render(partialTick);
+        this.mc.guiToasts.render(partialTick);
 
-        if(mc.currentScreen != null)
-        {
+        if (this.mc.currentScreen != null) {
             Debug.change("gui");
             glClear(256);
-            if(mc.inputType == InputType.CONTROLLER) {
-                mouseX = (int) mc.controllerInput.cursorX;
-                mouseY = (int) mc.controllerInput.cursorY;
+            if (this.mc.inputType == InputType.CONTROLLER) {
+                mouseX = (int) this.mc.controllerInput.cursorX;
+                mouseY = (int) this.mc.controllerInput.cursorY;
             }
-            mc.currentScreen.setDesiredCursor(CursorShape.ARROW);
-            mc.currentScreen.render(mouseX, mouseY, partialTick);
+            this.mc.currentScreen.setDesiredCursor(CursorShape.ARROW);
+            this.mc.currentScreen.render(mouseX, mouseY, partialTick);
 
-            if (mc.currentScreen != null) {
-                CursorShape newCursor = mc.currentScreen.getDesiredCursor();
-                if(!mc.gameSettings.dynamicCursor.value) {
+            if (this.mc.currentScreen != null) {
+                CursorShape newCursor = this.mc.currentScreen.getDesiredCursor();
+                if (!this.mc.gameSettings.dynamicCursor.value) {
                     newCursor = CursorShape.ARROW;
                 }
-                if (mc.gameWindow.getCursorShape() != newCursor) {
-                    mc.gameWindow.setCursorShape(newCursor);
+                if (this.mc.gameWindow.getCursorShape() != newCursor) {
+                    this.mc.gameWindow.setCursorShape(newCursor);
                 }
             }
-            if(mc.inputType == InputType.CONTROLLER && mc.currentScreen != null) {
-                mc.currentScreen.drawControllerCursor();
+            if (this.mc.inputType == InputType.CONTROLLER && this.mc.currentScreen != null) {
+                this.mc.currentScreen.drawControllerCursor();
             }
             Debug.change("misc");
         }
     }
 
-    public void renderWorld(float partialTicks, long updateRenderersUntil)
-    {
-    	Debug.push("misc");
+    public void renderWorld(float partialTicks, long updateRenderersUntil) {
+        Debug.push("misc");
         Colorizers.update(false);
-        
-        RenderGlobal renderGlobal = mc.renderGlobal;
-        ParticleEngine particleEngine = mc.particleEngine;
-        
+
+        RenderGlobal renderGlobal = this.mc.renderGlobal;
+        ParticleEngine particleEngine = this.mc.particleEngine;
+
         glEnable(GL_CULL_FACE);
         glEnable(GL_DEPTH_TEST);
-        if(mc.activeCamera == null)
-        {
-            mc.activeCamera = new EntityCameraFirstPerson(mc, mc.thePlayer);
+        if (this.mc.activeCamera == null) {
+            this.mc.activeCamera = new EntityCameraFirstPerson(this.mc, this.mc.thePlayer);
         }
         getMouseOver(partialTicks);
         Mob activeEntity = null;
-        if (mc.activeCamera instanceof EntityCamera)
-        {
-            activeEntity = ((EntityCamera)mc.activeCamera).mob;
+        if (this.mc.activeCamera instanceof EntityCamera) {
+            activeEntity = ((EntityCamera) this.mc.activeCamera).mob;
         }
 
-        if (activeEntity != null)
-        {
-            double viewEntityX = activeEntity.xo + (activeEntity.x - activeEntity.xo) * (double)partialTicks;
-            double viewEntityZ = activeEntity.zo + (activeEntity.z - activeEntity.zo) * (double)partialTicks;
-            IChunkProvider iChunkProvider = mc.currentWorld.getChunkProvider();
-            int chunkX = MathHelper.floor_float((int)viewEntityX) >> 4;
-            int chunkZ = MathHelper.floor_float((int)viewEntityZ) >> 4;
+        if (activeEntity != null) {
+            double viewEntityX = activeEntity.xo + (activeEntity.x - activeEntity.xo) * (double) partialTicks;
+            double viewEntityZ = activeEntity.zo + (activeEntity.z - activeEntity.zo) * (double) partialTicks;
+            IChunkProvider iChunkProvider = this.mc.currentWorld.getChunkProvider();
+            int chunkX = MathHelper.floor_float((int) viewEntityX) >> 4;
+            int chunkZ = MathHelper.floor_float((int) viewEntityZ) >> 4;
             iChunkProvider.setCurrentChunkOver(chunkX, chunkZ);
         }
 
-        fogManager.updateFogColor(partialTicks);
-        
+        this.fogManager.updateFogColor(partialTicks);
+
         Debug.change("post");
-        mc.renderer.beginRenderWorld(partialTicks);
+        this.mc.renderer.beginRenderWorld(partialTicks);
         glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
         glEnable(GL_CULL_FACE);
-        setupCameraTransform((mc.activeCamera instanceof EntityCamera && ((EntityCamera) mc.activeCamera).mob.isRemoved()) ? 1f : partialTicks);
+        setupCameraTransform((this.mc.activeCamera instanceof EntityCamera && ((EntityCamera) this.mc.activeCamera).mob.isRemoved()) ? 1f : partialTicks);
         Frustum.getFrustum();
         Debug.change("sky");
-        if((mc.gameSettings.renderDistance.value > 4) /* Used to use Renderdistance rendersky! */ && !(mc.currentScreen instanceof ScreenModelViewer))
-        {
-            fogManager.setupFog(FogManager.FOG_MODE_SKY, farPlaneDistance, partialTicks);
+        if ((this.mc.gameSettings.renderDistance.value > 4) /* Used to use Renderdistance rendersky! */ && !(this.mc.currentScreen instanceof ScreenModelViewer)) {
+            this.fogManager.setupFog(FogManager.FOG_MODE_SKY, this.farPlaneDistance, partialTicks);
             glDisable(GL_FOG);
 
             renderGlobal.renderSky(partialTicks);
         }
-        
+
         Debug.change("misc");
         glEnable(GL_FOG);
-        fogManager.setupFog(FogManager.FOG_MODE_NORMAL, farPlaneDistance, partialTicks);
-        if(mc.gameSettings.ambientOcclusion.value)
-        {
+        this.fogManager.setupFog(FogManager.FOG_MODE_NORMAL, this.farPlaneDistance, partialTicks);
+        if (this.mc.gameSettings.ambientOcclusion.value) {
             glShadeModel(GL11.GL_SMOOTH);
         }
-        
-        mc.renderGlobal.cull(mc.activeCamera.getFrustum(), partialTicks);
+
+        this.mc.renderGlobal.cull(this.mc.activeCamera.getFrustum(), partialTicks);
 
         Debug.change("aurora");
-        if (mc.gameSettings.aurora.value && WorldTypeFXDispatcher.getInstance().getDispatch(mc.currentWorld.getWorldType()).hasAurora())
-        {
-            renderGlobal.renderAurora(mc.activeCamera, partialTicks);
+        if (this.mc.gameSettings.aurora.value && WorldTypeFXDispatcher.getInstance().getDispatch(this.mc.currentWorld.getWorldType()).hasAurora()) {
+            renderGlobal.renderAurora(this.mc.activeCamera, partialTicks);
         }
         Debug.change("update");
 
         int loops = 1;
-        if(mc.gameSettings.keyLoadChunksQuickly.isPressed()) {
-        	loops = 40;
+        if (this.mc.gameSettings.keyLoadChunksQuickly.isPressed()) {
+            loops = 40;
         }
-        for(int i=0; i < loops; i++) {
+        for (int i = 0; i < loops; i++) {
             long timeRemaining;
-            do
-            {
-                if(mc.renderGlobal.updateDirtyChunks(mc.activeCamera) || updateRenderersUntil == 0L)
-                {
+            do {
+                if (this.mc.renderGlobal.updateDirtyChunks(this.mc.activeCamera) || updateRenderersUntil == 0L) {
                     break;
                 }
                 timeRemaining = updateRenderersUntil - System.nanoTime();
-            } while(timeRemaining >= 0L && timeRemaining <= nsPerSecond);
+            } while (timeRemaining >= 0L && timeRemaining <= nsPerSecond);
         }
 
-        fogManager.setupFog(FogManager.FOG_MODE_NORMAL, farPlaneDistance, partialTicks);
+        this.fogManager.setupFog(FogManager.FOG_MODE_NORMAL, this.farPlaneDistance, partialTicks);
         glEnable(GL_FOG);
         TextureRegistry.blockAtlas.bind();
         Lighting.disable();
 
         Debug.change("terrain");
-        lightmapHelper.enableLightmapRendering();
-        mc.terrainRenderer.renderSolidTerrain(partialTicks);
+        this.lightmapHelper.enableLightmapRendering();
+        this.mc.terrainRenderer.renderSolidTerrain(partialTicks);
 
         Debug.change("entities");
         glShadeModel(GL_FLAT);
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
         Lighting.enableLight();
-        if (!mc.gameSettings.fog.value)
-        {
+        if (!this.mc.gameSettings.fog.value) {
             glDisable(GL_FOG);
         }
-        renderGlobal.renderEntities(mc.activeCamera, partialTicks);
-        if (!mc.gameSettings.fog.value)
-        {
+        renderGlobal.renderEntities(this.mc.activeCamera, partialTicks);
+        if (!this.mc.gameSettings.fog.value) {
             glEnable(GL_FOG);
         }
-        
+
         Debug.change("particles");
         glDisable(GL_BLEND);
-        particleEngine.renderLitParticles(mc.activeCamera, partialTicks);
+        particleEngine.renderLitParticles(this.mc.activeCamera, partialTicks);
         Lighting.disable();
-        fogManager.setupFog(FogManager.FOG_MODE_NORMAL, farPlaneDistance, partialTicks);
-        mc.renderer.beginRenderParticles(partialTicks);
-        particleEngine.renderParticles(mc.renderer.getParticleTessellator(), mc.activeCamera, partialTicks);
-        mc.renderer.endRenderParticles(partialTicks);
+        this.fogManager.setupFog(FogManager.FOG_MODE_NORMAL, this.farPlaneDistance, partialTicks);
+        this.mc.renderer.beginRenderParticles(partialTicks);
+        particleEngine.renderParticles(this.mc.renderer.getParticleTessellator(), this.mc.activeCamera, partialTicks);
+        this.mc.renderer.endRenderParticles(partialTicks);
+
+        this.lightmapHelper.disableLightmapRendering();
 
-        lightmapHelper.disableLightmapRendering();
-        
         Debug.change("outline");
-        if(mc.objectMouseOver != null)
-        {
+        if (this.mc.objectMouseOver != null) {
             glDisable(GL_ALPHA_TEST);
-            if(mc.objectMouseOver instanceof HitResult.Tile hitTile) {
-                renderGlobal.drawBlockBreaking(mc.activeCamera, hitTile, partialTicks);
+            if (this.mc.objectMouseOver instanceof HitResult.Tile hitTile) {
+                renderGlobal.drawBlockBreaking(this.mc.activeCamera, hitTile, partialTicks);
             }
-            renderGlobal.drawSelectionBox(mc.activeCamera, mc.objectMouseOver, partialTicks);
+            renderGlobal.drawSelectionBox(this.mc.activeCamera, this.mc.objectMouseOver, partialTicks);
             glEnable(GL_ALPHA_TEST);
         }
-        
+
         Debug.change("debugoverlays");
-        if(mc.gameSettings.showCollisionBoxes.value)
-        {
-        	renderGlobal.drawDebugEntityOutlines(mc.activeCamera, partialTicks);
+        if (this.mc.gameSettings.showCollisionBoxes.value) {
+            renderGlobal.drawDebugEntityOutlines(this.mc.activeCamera, partialTicks);
         }
-        if(mc.gameSettings.showChunkBorders.value)
-        {
-        	renderGlobal.drawDebugChunkBorders(mc.activeCamera, partialTicks);
+        if (this.mc.gameSettings.showChunkBorders.value) {
+            renderGlobal.drawDebugChunkBorders(this.mc.activeCamera, partialTicks);
         }
         glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
-        fogManager.setupFog(FogManager.FOG_MODE_NORMAL, farPlaneDistance, partialTicks);
+        this.fogManager.setupFog(FogManager.FOG_MODE_NORMAL, this.farPlaneDistance, partialTicks);
         glEnable(GL_BLEND);
         glDisable(GL_CULL_FACE);
         TextureRegistry.blockAtlas.bind();
 
         Debug.change("water");
-		lightmapHelper.enableLightmapRendering();
-		if(mc.gameSettings.ambientOcclusion.value) {
-			glShadeModel(GL_SMOOTH);
-		}
-		if(!mc.gameSettings.fog.value) {
-			glDisable(GL_FOG);
-		}
-        mc.terrainRenderer.renderTranslucentTerrain(partialTicks);
-		if(!mc.gameSettings.fog.value) {
-			glEnable(GL_FOG);
-		}
-		glShadeModel(GL_FLAT);
-		lightmapHelper.disableLightmapRendering();
-        
+        this.lightmapHelper.enableLightmapRendering();
+        if (this.mc.gameSettings.ambientOcclusion.value) {
+            glShadeModel(GL_SMOOTH);
+        }
+        if (!this.mc.gameSettings.fog.value) {
+            glDisable(GL_FOG);
+        }
+        this.mc.terrainRenderer.renderTranslucentTerrain(partialTicks);
+        if (!this.mc.gameSettings.fog.value) {
+            glEnable(GL_FOG);
+        }
+        glShadeModel(GL_FLAT);
+        this.lightmapHelper.disableLightmapRendering();
+
         Debug.change("weather");
         glDepthMask(true);
         glEnable(GL_CULL_FACE);
         glDisable(GL_BLEND);
         renderRainSnow(partialTicks);
         glDisable(GL_FOG);
-        if(mc.gameSettings.clouds.value) {
-        	Debug.change("clouds");
-            fogManager.setupFog(FogManager.FOG_MODE_NORMAL, farPlaneDistance, partialTicks);
+        if (this.mc.gameSettings.clouds.value) {
+            Debug.change("clouds");
+            this.fogManager.setupFog(FogManager.FOG_MODE_NORMAL, this.farPlaneDistance, partialTicks);
             glEnable(GL_FOG);
             renderGlobal.renderClouds(partialTicks);
             glDisable(GL_FOG);
         }
 
         Debug.change("misc");
-        fogManager.setupFog(1, farPlaneDistance, partialTicks);
-        renderHand((mc.activeCamera instanceof EntityCamera && ((EntityCamera) mc.activeCamera).mob.isRemoved()) ? 1f : partialTicks);
-        
+        this.fogManager.setupFog(1, this.farPlaneDistance, partialTicks);
+        renderHand((this.mc.activeCamera instanceof EntityCamera && ((EntityCamera) this.mc.activeCamera).mob.isRemoved()) ? 1f : partialTicks);
+
         glColorMask(true, true, true, true);
         Debug.pop();
     }
 
-    private void addRainParticles()
-    {
-        Weather weather = mc.currentWorld.getCurrentWeather();
+    private void addRainParticles() {
+        Weather weather = this.mc.currentWorld.getCurrentWeather();
         if (!(weather instanceof IPrecipitation) || !((IPrecipitation) weather).spawnRainParticles()) return;
 
-        float f = mc.currentWorld.weatherManager.getWeatherIntensity() * mc.currentWorld.weatherManager.getWeatherPower();
-        
-        if(mc.gameSettings.fancyGraphics.value != 1)
-        {
+        float f = this.mc.currentWorld.weatherManager.getWeatherIntensity() * this.mc.currentWorld.weatherManager.getWeatherPower();
+
+        if (this.mc.gameSettings.fancyGraphics.value != 1) {
             f /= 2.0F;
         }
-        if(f == 0.0F)
-        {
+        if (f == 0.0F) {
             return;
         }
-        random.setSeed((long)rendererUpdateCount * 0x12a7ce5fL);
-        World world = mc.currentWorld;
-        int cameraX = MathHelper.floor(mc.activeCamera.getX());
-        int cameraY = MathHelper.floor(mc.activeCamera.getY());
-        int cameraZ = MathHelper.floor(mc.activeCamera.getZ());
+        this.random.setSeed((long) this.rendererUpdateCount * 0x12a7ce5fL);
+        World world = this.mc.currentWorld;
+        int cameraX = MathHelper.floor(this.mc.activeCamera.getX());
+        int cameraY = MathHelper.floor(this.mc.activeCamera.getY());
+        int cameraZ = MathHelper.floor(this.mc.activeCamera.getZ());
         byte byte0 = 10;
         double d = 0.0D;
         double d1 = 0.0D;
         double d2 = 0.0D;
         int l = 0;
         blockedWeather:
-        for(int i1 = 0; i1 < (int)(100F * f * f); i1++)
-        {
-            int randX = (cameraX + random.nextInt(byte0)) - random.nextInt(byte0);
-            int randZ = (cameraZ + random.nextInt(byte0)) - random.nextInt(byte0);
+        for (int i1 = 0; i1 < (int) (100F * f * f); i1++) {
+            int randX = (cameraX + this.random.nextInt(byte0)) - this.random.nextInt(byte0);
+            int randZ = (cameraZ + this.random.nextInt(byte0)) - this.random.nextInt(byte0);
             int y = world.findTopSolidBlock(randX, randZ);
             int i2 = world.getBlockId(randX, y - 1, randZ);
-            
+
             Biome biome = world.getBlockBiome(randX, y, randZ);
-            for (int q = 0; q < biome.blockedWeathers.length; q++)
-            {
+            for (int q = 0; q < biome.blockedWeathers.length; q++) {
                 if (biome.blockedWeathers[q] == weather) continue blockedWeather;
             }
-            
-            if(y > cameraY + byte0 || y < cameraY - byte0)
-            {
+
+            if (y > cameraY + byte0 || y < cameraY - byte0) {
                 continue;
             }
-            float f1 = random.nextFloat();
-            float f2 = random.nextFloat();
-            if(i2 <= 0)
-            {
+            float f1 = this.random.nextFloat();
+            float f2 = this.random.nextFloat();
+            if (i2 <= 0) {
                 continue;
             }
-            if(Blocks.blocksList[i2].getMaterial() == Material.lava)
-            {
-                mc.particleEngine.add(new ParticleSmoke(world, (float)randX + f1, (double)((float)y + 0.1F) - Blocks.blocksList[i2].getBounds().minY, (float)randZ + f2, 0.0D, 0.0D, 0.0D, 1.0f, 0));
+            if (Blocks.blocksList[i2].getMaterial() == Materials.LAVA) {
+                this.mc.particleEngine.add(new ParticleSmoke(world, (float) randX + f1, (double) ((float) y + 0.1F) - Blocks.blocksList[i2].getBounds().minY(), (float) randZ + f2, 0.0D, 0.0D, 0.0D, 1.0f, 0));
                 continue;
             }
-            if(random.nextInt(++l) == 0)
-            {
-                d = (float)randX + f1;
-                d1 = (double)((float)y + 0.1F) - Blocks.blocksList[i2].getBounds().minY;
-                d2 = (float)randZ + f2;
+            if (this.random.nextInt(++l) == 0) {
+                d = (float) randX + f1;
+                d1 = (double) ((float) y + 0.1F) - Blocks.blocksList[i2].getBounds().minY();
+                d2 = (float) randZ + f2;
             }
-            mc.particleEngine.add(new ParticleWaterDrop(world, (float)randX + f1, (double)((float)y + 0.1F) - Blocks.blocksList[i2].getBounds().minY, (float)randZ + f2));
+            this.mc.particleEngine.add(new ParticleWaterDrop(world, (float) randX + f1, (double) ((float) y + 0.1F) - Blocks.blocksList[i2].getBounds().minY(), (float) randZ + f2));
         }
 
-        if(l > 0 && random.nextInt(3) < rainSoundCounter++)
-        {
-            rainSoundCounter = 0;
-            if(d1 > mc.activeCamera.getY() + 1.0D && world.getHeightValue(MathHelper.floor(mc.activeCamera.getX()), MathHelper.floor(mc.activeCamera.getZ())) > MathHelper.floor(mc.activeCamera.getY()))
-            {
-                mc.currentWorld.playSoundEffect(null, SoundCategory.WEATHER_SOUNDS, d, d1, d2, "ambient.weather.rain", 0.1F * mc.currentWorld.weatherManager.getWeatherIntensity() * mc.currentWorld.weatherManager.getWeatherPower() * 0.5f, 0.5F);
-            } else
-            {
-                mc.currentWorld.playSoundEffect(null, SoundCategory.WEATHER_SOUNDS, d, d1, d2, "ambient.weather.rain", 0.2F * mc.currentWorld.weatherManager.getWeatherIntensity() * mc.currentWorld.weatherManager.getWeatherPower() * 0.5f, 1.0F);
+        if (l > 0 && this.random.nextInt(3) < this.rainSoundCounter++) {
+            this.rainSoundCounter = 0;
+            if (d1 > this.mc.activeCamera.getY() + 1.0D && world.getHeightValue(MathHelper.floor(this.mc.activeCamera.getX()), MathHelper.floor(this.mc.activeCamera.getZ())) > MathHelper.floor(this.mc.activeCamera.getY())) {
+                this.mc.currentWorld.playSoundEffect(null, SoundCategory.WEATHER_SOUNDS, d, d1, d2, "ambient.weather.rain", 0.1F * this.mc.currentWorld.weatherManager.getWeatherIntensity() * this.mc.currentWorld.weatherManager.getWeatherPower() * 0.5f, 0.5F);
+            } else {
+                this.mc.currentWorld.playSoundEffect(null, SoundCategory.WEATHER_SOUNDS, d, d1, d2, "ambient.weather.rain", 0.2F * this.mc.currentWorld.weatherManager.getWeatherIntensity() * this.mc.currentWorld.weatherManager.getWeatherPower() * 0.5f, 1.0F);
             }
         }
     }
 
-    protected void renderRainSnow(float partialTick)
-    {
-        Weather weather = mc.currentWorld.getCurrentWeather();
-        if (!(weather instanceof IPrecipitation)) return;
-
-        final @NotNull IPrecipitation precipitation = (IPrecipitation) weather;
-        
-        World world = mc.currentWorld;
-        int posX = MathHelper.floor(mc.activeCamera.getX());
-        int posY = MathHelper.floor(mc.activeCamera.getY());
-        int posZ = MathHelper.floor(mc.activeCamera.getZ());
+    protected void renderRainSnow(float partialTick) {
+        Weather weather = this.mc.currentWorld.getCurrentWeather();
+        if (!(weather instanceof @NotNull IPrecipitation precipitation)) return;
+
+        World world = this.mc.currentWorld;
+        int posX = MathHelper.floor(this.mc.activeCamera.getX());
+        int posY = MathHelper.floor(this.mc.activeCamera.getY());
+        int posZ = MathHelper.floor(this.mc.activeCamera.getZ());
         Tessellator tessellator = Tessellator.instance;
         glDisable(GL11.GL_CULL_FACE);
         glNormal3f(0.0F, 1.0F, 0.0F);
